using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Windows.Forms;

public partial class JobProvider_EditJob : System.Web.UI.Page
{
    SqlConnection con;
    SqlCommand cmd;
    SqlDataAdapter da;
    DataSet ds;
    protected void Page_Load(object sender, EventArgs e)
    {
        con = new SqlConnection(ConfigurationManager.ConnectionStrings["crms"].ConnectionString);
        Calendar1.Visible = false;
        if (!IsPostBack)
        {

            LoadJobId();
            
            Panel2.Visible = false;

        }
    }
   
    private void LoadJobId()
    {
        da = new SqlDataAdapter("select Jobcode from Job_Details", con);
        con.Open();
        ds = new DataSet();
        da.Fill(ds, "Job");
        JId.DataValueField = "JobCode";
        JId.DataTextField = "JobCode";
        JId.DataSource = ds.Tables[0];
        JId.DataBind();
        JId.Items.Insert(0, new ListItem("Select JobId", ""));
        con.Close();

    }
    protected void Button4_Click(object sender, EventArgs e)
    {
        try
        {
            Panel2.Visible = true;

            da = new SqlDataAdapter("select * from Job_Details Where JobCode='" + JId.SelectedItem.Text + "'", con);
            con.Open();
            ds = new DataSet();
            da.Fill(ds, "Jobs");
            DataTable table = ds.Tables[0];
            DataRow row = table.Rows[0];
            JobCode.Text = row["JobCode"].ToString();
            JobName.Text = row["JobName"].ToString();
            Qualifi.Text = row["Qualification"].ToString();
            RSkills.Text = row["ReqSkills"].ToString();
            RExp.Text = row["ReqExperience"].ToString();
            Resopons.Text = row["Responsibilities"].ToString();
            Vacancies.Text = row["Vacancies"].ToString();
            Createdon.Text = row["CreatedOn"].ToString();
            Createdby.Text = row["CreatedBy"].ToString();
            Status.SelectedIndex=Status.Items.IndexOf(Status.Items.FindByValue(row["CreatedBy"].ToString()));
            con.Close();
        }
        catch (Exception e2)
        {
            MessageBox.Show(e2.Message, "Failure Message", MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }

    }
    protected void Button3_Click(object sender, EventArgs e)
    {
        Panel2.Visible = false;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            cmd = new SqlCommand("update Job_Details set Qualification='" + Qualifi.Text + "',ReqSkills='" + RSkills.Text + "',ReqExperience='" + RExp.Text + "',Responsibilities='" + Resopons.Text + "',Vacancies='" + Vacancies.Text + "',CreatedOn='" + Createdon.Text + "',CreatedBy='" + Createdby.Text + "',Status='"+  Status.SelectedItem.Text +"' where JobCode='" + JobCode.Text + "'", con);
            con.Open();
            cmd.ExecuteNonQuery();
            MessageBox.Show("Successfully Updated", "SuccessMessage", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            con.Close();
        }
        catch (Exception e1)
        {
            MessageBox.Show(e1.Message, "Failure Message", MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Qualifi.Text = "";
        RSkills.Text = "";
        RExp.Text = "";
        Resopons.Text = "";
        Vacancies.Text = "";
        Createdon.Text = "";
        Status.SelectedIndex =0;
       
    }
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        Calendar1.Visible = true;
    }
    protected void Calendar1_SelectionChanged(object sender, EventArgs e)
    {
        Createdon.Text = Calendar1.SelectedDate.ToString();
    }
    protected void Calendar1_DayRender(object sender, DayRenderEventArgs e)
    {
        DateTime pastday = e.Day.Date;
        DateTime date = DateTime.Now;
        int year = date.Year;
        int month = date.Month;
        int day = date.Day;
        DateTime today = new DateTime(year, month, day);
        if (pastday.CompareTo(today) < 0)
        {
            e.Cell.BackColor = System.Drawing.Color.Gray;
            e.Day.IsSelectable = false;
        }
    }
}
